SftpConnection (JFtp)
Date: 2011-08-31

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.net.wrappers
Class SftpConnection

    java.lang.Object
      net.sf.jftp.net.wrappers.SftpConnection

All Implemented Interfaces:
  BasicConnection

    public class SftpConnection

extends java.lang.Object
implements BasicConnection

Field Summary
`static int` | `smbBuffer`

Fields inherited from interface net.sf.jftp.net.BasicConnection
`hasUploaded`

Constructor Summary
`SftpConnection(SshConnectionProperties properties)`
`SftpConnection(SshConnectionProperties properties, java.lang.String keyfile)`

Method Summary
`void` | `addConnectionListener(ConnectionListener l)`
`boolean` | `cdup()`
`boolean` | `chdir(java.lang.String p)`
`boolean` | `chdir(java.lang.String p, boolean refresh)`
`boolean` | `chdirNoRefresh(java.lang.String p)`
`void` | `disconnect()`
`int` | `download(java.lang.String f)`
`void` | `fireActionFinished(SftpConnection con)`
`void` | `fireDirectoryUpdate()` remote directory has changed
`void` | `fireProgressUpdate(java.lang.String file, java.lang.String type, int bytes)` progress update
`java.io.InputStream` | `getDownloadInputStream(java.lang.String file)`
`java.lang.String` | `getLocalPath()`
`int[]` | `getPermissions()`
`java.lang.String` | `getPWD()`
`int` | `handleDownload(java.lang.String f)`
`int` | `handleUpload(java.lang.String f)`
`boolean` | `isConnected()`
`void` | `list()`
`boolean` | `login(java.lang.String user, java.lang.String pass)`
`boolean` | `mkdir(java.lang.String dirName)`
`int` | `removeFileOrDir(java.lang.String file)`
`boolean` | `rename(java.lang.String oldName, java.lang.String newName)`
`void` | `sendRawCommand(java.lang.String cmd)`
`void` | `setConnectionListeners(java.util.Vector l)`
`boolean` | `setLocalPath(java.lang.String p)`
`java.util.Date[]` | `sortDates()`
`java.lang.String[]` | `sortLs()`
`java.lang.String[]` | `sortSize()`
`int` | `upload(java.lang.String f)`
`int` | `upload(java.lang.String file, java.io.InputStream i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### smbBuffer

    public static int smbBuffer

Constructor Detail

### SftpConnection

    public SftpConnection(SshConnectionProperties properties)

### SftpConnection

    public SftpConnection(SshConnectionProperties properties,
                          java.lang.String keyfile)

Method Detail

### removeFileOrDir

    public int removeFileOrDir(java.lang.String file)

  Specified by:
    `removeFileOrDir` in interface `BasicConnection`

### sendRawCommand

    public void sendRawCommand(java.lang.String cmd)

  Specified by:
    `sendRawCommand` in interface `BasicConnection`

### disconnect

    public void disconnect()

  Specified by:
    `disconnect` in interface `BasicConnection`

### isConnected

    public boolean isConnected()

  Specified by:
    `isConnected` in interface `BasicConnection`

### getPWD

    public java.lang.String getPWD()

  Specified by:
    `getPWD` in interface `BasicConnection`

### mkdir

    public boolean mkdir(java.lang.String dirName)

  Specified by:
    `mkdir` in interface `BasicConnection`

### list

    public void list()
              throws java.io.IOException

  Specified by:
    `list` in interface `BasicConnection`
  Throws:
    `java.io.IOException`

### chdir

    public boolean chdir(java.lang.String p)

  Specified by:
    `chdir` in interface `BasicConnection`

### chdir

    public boolean chdir(java.lang.String p,
                         boolean refresh)

### cdup

    public boolean cdup()

  Specified by:
    `cdup` in interface `BasicConnection`

### chdirNoRefresh

    public boolean chdirNoRefresh(java.lang.String p)

  Specified by:
    `chdirNoRefresh` in interface `BasicConnection`

### getLocalPath

    public java.lang.String getLocalPath()

  Specified by:
    `getLocalPath` in interface `BasicConnection`

### setLocalPath

    public boolean setLocalPath(java.lang.String p)

  Specified by:
    `setLocalPath` in interface `BasicConnection`

### sortLs

    public java.lang.String[] sortLs()

  Specified by:
    `sortLs` in interface `BasicConnection`

### sortSize

    public java.lang.String[] sortSize()

  Specified by:
    `sortSize` in interface `BasicConnection`

### getPermissions

    public int[] getPermissions()

  Specified by:
    `getPermissions` in interface `BasicConnection`

### handleUpload

    public int handleUpload(java.lang.String f)

  Specified by:
    `handleUpload` in interface `BasicConnection`

### handleDownload

    public int handleDownload(java.lang.String f)

  Specified by:
    `handleDownload` in interface `BasicConnection`

### upload

    public int upload(java.lang.String f)

  Specified by:
    `upload` in interface `BasicConnection`

### download

    public int download(java.lang.String f)

  Specified by:
    `download` in interface `BasicConnection`

### rename

    public boolean rename(java.lang.String oldName,
                          java.lang.String newName)

  Specified by:
    `rename` in interface `BasicConnection`

### addConnectionListener

    public void addConnectionListener(ConnectionListener l)

  Specified by:
    `addConnectionListener` in interface `BasicConnection`

### setConnectionListeners

    public void setConnectionListeners(java.util.Vector l)

  Specified by:
    `setConnectionListeners` in interface `BasicConnection`

### fireDirectoryUpdate

    public void fireDirectoryUpdate()

  remote directory has changed

### login

    public boolean login(java.lang.String user,
                         java.lang.String pass)

### fireProgressUpdate

    public void fireProgressUpdate(java.lang.String file,
                                   java.lang.String type,
                                   int bytes)

  progress update

### fireActionFinished

    public void fireActionFinished(SftpConnection con)

### upload

    public int upload(java.lang.String file,
                      java.io.InputStream i)

  Specified by:
    `upload` in interface `BasicConnection`

### getDownloadInputStream

    public java.io.InputStream getDownloadInputStream(java.lang.String file)

  Specified by:
    `getDownloadInputStream` in interface `BasicConnection`

### sortDates

    public java.util.Date[] sortDates()

  Specified by:
    `sortDates` in interface `BasicConnection`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD